Bug 502018 - resize2fs fails if filesystem has not been fsck'd
resize2fs fails if filesystem has not been fsck'd
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 10:47 EDT by Richard W.M. Jones
Modified: 2009-08-26 03:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 03:23:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
build.log from failed test (1.42 MB, text/plain)
2009-05-21 10:47 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2009-05-21 10:47:24 EDT
Created attachment 344976 [details]
build.log from failed test

This breaks the "lvresize" test.  The error message is:

/sbin/resize2fs /dev/VG/LV
guestfsd: error: resize2fs: resize2fs 1.41.5 (23-Apr-2009)
Please run 'e2fsck -f /dev/VG/LV' first.
Comment 1 Richard W.M. Jones 2009-05-21 11:19:08 EDT
This should be fixed by upstream changeset
0f81d0941a2705d49bc129f69924265fa60d9677.
Comment 2 sivasura 2009-08-25 22:53:13 EDT
I am also having the same problem in RHEL 4 update 6 with e2fsprogs-1.35-12.11.el4
Kindly help me to resolve the issue. This is stopping my production box from being accessed.
Comment 3 Chris Lalancette 2009-08-26 03:23:05 EDT
(In reply to comment #2)
> I am also having the same problem in RHEL 4 update 6 with
> e2fsprogs-1.35-12.11.el4
> Kindly help me to resolve the issue. This is stopping my production box from
> being accessed.  

This bug specifically has to do with libguestfs in Fedora.  Your problem with RHEL-4 is probably something different.  You'll have to go through your normal Red Hat support channels to get help with your problem.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.